From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pandas/
Date: Mon, 12 Oct 2015 14:30:54 +0000 (UTC) [thread overview]
Message-ID: <1444660251.da686750672b4adb3312a87a655a89d1129b9cc4.jlec@gentoo> (raw)
commit: da686750672b4adb3312a87a655a89d1129b9cc4
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 12 13:45:42 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Oct 12 14:30:51 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da686750
dev-python/pandas: Version Bump
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/pandas/Manifest | 1 +
dev-python/pandas/pandas-0.17.0.ebuild | 128 +++++++++++++++++++++++++++++++++
2 files changed, 129 insertions(+)
diff --git a/dev-python/pandas/Manifest b/dev-python/pandas/Manifest
index f1eb82b..e05319e 100644
--- a/dev-python/pandas/Manifest
+++ b/dev-python/pandas/Manifest
@@ -1 +1,2 @@
DIST pandas-0.16.2.tar.gz 4931751 SHA256 e01853dfe111f3aea005315573400b7216ddbabbf1f28d482a71217d67ae4f81 SHA512 44874e12a42a01dd7ed88f3f97e954732a534a5e2dc4815ef6203bdb2d88850a607e6631a35ae8fc79f4621a5dfaa34f39bb1c9a0ecfb17da1cf0c10f35ff27b WHIRLPOOL 6f2874ac07b49f4b2aaefdb87375b7c5adb31e3ff60c6b808f3e3467ad82999dd894de884ebbfd64fc7235e875d17ce871b516c96ff71a17310b708597168702
+DIST pandas-0.17.0.tar.gz 6508621 SHA256 320d4fdf734b82adebc8fde9d8ca4b05fe155a72b6f7aa95d76242da8748d6a4 SHA512 bae6964e263c7ff6cac722cdfe23081f23c357d9bc39a670b5627bef4630c236a58aa8c0393eae921721bf7049c8e5266b4dea71dd957da5d89dafc14a04797b WHIRLPOOL d654eb2f9ffbfedbde60e4a6e6ce6f54650a8a68b4d20035744aa55111525d6bba4dae2ccbfce65acf71bb200e2e6029c7f6c9bcc9d0c582d808444738baedb1
diff --git a/dev-python/pandas/pandas-0.17.0.ebuild b/dev-python/pandas/pandas-0.17.0.ebuild
new file mode 100644
index 0000000..96b90f0
--- /dev/null
+++ b/dev-python/pandas/pandas-0.17.0.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
+
+inherit distutils-r1 eutils flag-o-matic virtualx
+
+DESCRIPTION="Powerful data structures for data analysis and statistics"
+HOMEPAGE="http://pandas.pydata.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc excel html test R"
+
+EXTRA_DEPEND="
+ >=dev-python/google-api-python-client-1.2.0[$(python_gen_usedep python2_7 pypy)]
+ dev-python/openpyxl[${PYTHON_USEDEP}]
+ dev-python/pymysql[${PYTHON_USEDEP}]
+ dev-python/python-gflags[$(python_gen_usedep python2_7 pypy)]
+ dev-python/psycopg:2[${PYTHON_USEDEP}]
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]
+ "
+CDEPEND="
+ >dev-python/numpy-1.7[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.0[${PYTHON_USEDEP}]
+ !~dev-python/openpyxl-1.9.0[${PYTHON_USEDEP}]"
+DEPEND="${CDEPEND}
+ >=dev-python/cython-0.19.1[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-1.6.1[${PYTHON_USEDEP}]
+ dev-python/openpyxl[${PYTHON_USEDEP}]
+ >=dev-python/pytables-3.0.0[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/rpy[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.2.1[${PYTHON_USEDEP}]
+ dev-python/xlrd[$(python_gen_usedep 'python2_7')]
+ dev-python/xlwt[$(python_gen_usedep 'python2_7')]
+ x11-misc/xclip
+ )
+ test? (
+ ${EXTRA_DEPEND}
+ dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )"
+# dev-python/statsmodels invokes a circular dep
+# hence rm from doc? ( ), again
+RDEPEND="${CDEPEND}
+ >=dev-python/numexpr-2.1[${PYTHON_USEDEP}]
+ dev-python/bottleneck[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/pytables[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+ excel? (
+ dev-python/xlrd[$(python_gen_usedep 'python2_7')]
+ dev-python/xlwt[$(python_gen_usedep 'python2_7')]
+ || (
+ dev-python/xlsxwriter[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-1.6.1[${PYTHON_USEDEP}]
+ )
+ )
+ html? (
+ dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+ || (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}] )
+ )
+ R? ( dev-python/rpy[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+ # Prevent un-needed download during build
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" -i doc/source/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # To build docs the need be located in $BUILD_DIR,
+ # else PYTHONPATH points to unusable modules.
+ if use doc; then
+ cd "${BUILD_DIR}"/lib || die
+ cp -ar "${S}"/doc . && cd doc || die
+ LANG=C PYTHONPATH=. "${EPYTHON}" make.py html || die
+ fi
+}
+
+python_test() {
+ local test_pandas='not network and not disabled'
+ [[ -n "${FAST_PANDAS}" ]] && test_pandas+=' and not slow'
+ pushd "${BUILD_DIR}"/lib > /dev/null
+ VIRTUALX_COMMAND="nosetests"
+ PYTHONPATH=. MPLCONFIGDIR=. HOME=. \
+ virtualmake --verbosity=3 -A "${test_pandas}" pandas
+ popd > /dev/null
+}
+
+python_install_all() {
+ if use doc; then
+ dodoc -r "${BUILD_DIR}"/lib/doc/build/html
+ einfo "An initial build of docs is absent of references to statsmodels"
+ einfo "due to circular dependency. To have them included, emerge"
+ einfo "statsmodels next and re-emerge pandas with USE doc"
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ local x
+ elog "Please install"
+ for x in ${EXTRA_DEPEND}; do
+ optfeature "additional functionality" "${x%%[*}"
+ done
+}
next reply other threads:[~2015-10-12 14:31 UTC|newest]
Thread overview: 274+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-12 14:30 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-10-21 13:41 [gentoo-commits] repo/gentoo:master commit in: dev-python/pandas/ Justin Lecher
2015-11-11 17:27 Justin Lecher
2015-11-24 12:10 Justin Lecher
2015-11-26 10:26 Justin Lecher
2017-03-12 12:31 Zac Medico
2017-06-04 11:49 Justin Lecher
2017-06-04 11:54 Justin Lecher
2017-06-24 19:51 Justin Lecher
2017-06-27 9:35 Justin Lecher
2017-06-27 10:28 Justin Lecher
2017-07-11 20:33 Sebastien Fabbro
2017-07-11 21:32 Sergei Trofimovich
2017-07-12 19:29 Sebastien Fabbro
2017-07-15 15:17 Tobias Klausmann
2017-09-30 23:38 Thomas Deutschmann
2018-04-06 2:37 Andreas Sturmlechner
2018-04-06 2:37 Andreas Sturmlechner
2018-04-06 2:37 Andreas Sturmlechner
2018-04-06 2:37 Andreas Sturmlechner
2018-04-06 2:37 Andreas Sturmlechner
2018-04-06 2:37 Andreas Sturmlechner
2018-05-03 13:15 Andreas Sturmlechner
2018-05-16 14:36 Andreas Sturmlechner
2018-05-16 14:42 Andreas Sturmlechner
2018-05-29 14:18 Andreas Sturmlechner
2018-08-26 9:39 Michał Górny
2019-03-10 22:38 Patrice Clement
2019-04-29 15:32 Virgil Dupras
2019-05-11 19:06 Matthew Thode
2019-11-24 16:15 Aaron Bauman
2019-11-24 16:15 Aaron Bauman
2020-01-17 7:47 Michał Górny
2020-01-17 7:47 Michał Górny
2020-01-19 19:54 Pacho Ramos
2020-03-09 12:44 Benda XU
2020-06-07 10:45 Pacho Ramos
2020-06-13 11:14 Michał Górny
2020-06-14 9:31 Michał Górny
2020-06-14 12:04 Michał Górny
2020-06-14 21:29 Michał Górny
2020-06-19 9:10 Michał Górny
2020-07-06 14:13 Michał Górny
2020-07-29 8:03 Michał Górny
2020-07-29 8:03 Michał Górny
2020-08-07 19:19 Sam James
2020-08-18 5:28 Sam James
2020-08-18 5:52 Sam James
2020-08-21 13:35 Michał Górny
2020-08-24 0:10 Sam James
2020-08-25 12:17 Sam James
2020-09-08 19:11 Michał Górny
2020-09-08 21:47 Michał Górny
2020-09-18 15:30 Michał Górny
2020-09-24 6:59 Agostino Sarubbo
2020-10-25 21:34 Thomas Deutschmann
2020-10-30 22:23 Michał Górny
2020-11-02 10:34 Michał Górny
2020-11-18 14:33 Michał Górny
2020-11-18 17:39 Sam James
2020-11-18 17:50 Michał Górny
2020-12-07 16:03 Michał Górny
2020-12-22 17:08 Thomas Deutschmann
2021-01-14 23:59 Sam James
2021-01-23 0:11 Michał Górny
2021-02-05 4:38 Sam James
2021-02-05 8:47 Michał Górny
2021-02-09 14:16 Michał Górny
2021-02-26 20:58 Agostino Sarubbo
2021-03-02 14:14 Michał Górny
2021-03-07 12:53 Michał Górny
2021-03-16 18:34 Michał Górny
2021-03-16 20:30 Michał Górny
2021-03-16 21:02 Michał Górny
2021-03-17 8:15 Michał Górny
2021-03-17 12:08 Michał Górny
2021-03-17 12:08 Michał Górny
2021-04-13 9:05 Michał Górny
2021-04-18 1:44 Sam James
2021-04-29 0:23 Sam James
2021-04-29 7:18 Michał Górny
2021-05-19 20:06 Agostino Sarubbo
2021-06-19 20:50 Michał Górny
2021-06-22 16:29 Michał Górny
2021-07-03 8:16 Michał Górny
2021-07-03 16:06 Michał Górny
2021-07-19 14:45 Marek Szuba
2021-07-25 18:04 Michał Górny
2021-08-16 8:55 Michał Górny
2021-08-19 11:55 Agostino Sarubbo
2021-09-06 0:13 Sam James
2021-09-06 23:37 Sam James
2021-09-06 23:42 Sam James
2021-09-13 7:45 Michał Górny
2021-10-02 23:17 Sam James
2021-10-16 22:00 Sam James
2021-10-17 21:15 Michał Górny
2021-10-24 21:14 Sam James
2021-10-24 21:15 Sam James
2021-11-14 8:52 Michał Górny
2021-11-14 23:51 Sam James
2021-11-18 10:57 Sam James
2021-11-18 11:06 Sam James
2021-11-18 11:15 Sam James
2021-11-18 11:58 Michał Górny
2021-11-20 6:35 Sam James
2021-11-22 19:20 Sam James
2021-11-26 1:04 Sam James
2021-11-26 1:40 Sam James
2021-12-13 9:15 Michał Górny
2022-01-13 18:46 Arthur Zamarin
2022-01-14 21:26 Sam James
2022-01-15 8:16 Arthur Zamarin
2022-01-31 0:26 Michał Górny
2022-02-04 10:33 Jakov Smolić
2022-02-07 11:36 Sam James
2022-02-12 20:24 Michał Górny
2022-02-14 8:00 Agostino Sarubbo
2022-03-06 9:39 Sam James
2022-03-12 9:28 Arthur Zamarin
2022-03-12 10:52 Arthur Zamarin
2022-03-12 10:52 Arthur Zamarin
2022-03-12 11:10 Arthur Zamarin
2022-03-12 11:10 Arthur Zamarin
2022-04-03 10:35 Michał Górny
2022-05-06 12:47 Jakov Smolić
2022-05-07 10:58 Arthur Zamarin
2022-05-07 18:05 Arthur Zamarin
2022-05-13 18:43 Arthur Zamarin
2022-05-17 9:19 Agostino Sarubbo
2022-05-17 9:24 Agostino Sarubbo
2022-05-17 11:11 Michał Górny
2022-06-23 19:28 Arthur Zamarin
2022-07-25 7:07 Agostino Sarubbo
2022-07-25 7:13 Agostino Sarubbo
2022-07-25 14:56 Agostino Sarubbo
2022-07-25 15:01 Agostino Sarubbo
2022-07-25 15:06 Agostino Sarubbo
2022-07-26 15:19 Agostino Sarubbo
2022-09-02 17:37 Michał Górny
2022-09-22 18:23 Michał Górny
2022-10-03 8:24 Agostino Sarubbo
2022-10-03 8:26 Agostino Sarubbo
2022-10-03 8:28 Agostino Sarubbo
2022-10-03 8:29 Agostino Sarubbo
2022-10-03 8:30 Agostino Sarubbo
2022-10-03 8:32 Agostino Sarubbo
2022-10-03 9:49 Michał Górny
2022-10-14 17:19 Andrew Ammerlaan
2022-10-19 11:49 Michał Górny
2022-10-25 5:08 Arthur Zamarin
2022-10-25 7:15 Agostino Sarubbo
2022-10-25 7:16 Agostino Sarubbo
2022-10-25 7:16 Agostino Sarubbo
2022-10-25 7:36 Sam James
2022-10-25 7:44 Sam James
2022-10-25 8:39 Arthur Zamarin
2022-10-25 9:04 Michał Górny
2022-10-25 9:28 Sam James
2022-10-25 11:12 Sam James
2022-10-27 7:40 Agostino Sarubbo
2022-10-27 7:40 Agostino Sarubbo
2022-10-31 16:41 Agostino Sarubbo
2022-11-11 12:01 Michał Górny
2022-11-14 15:03 Arthur Zamarin
2022-11-14 15:03 Arthur Zamarin
2022-11-19 14:25 Arthur Zamarin
2022-11-19 14:25 Arthur Zamarin
2022-11-19 14:26 Arthur Zamarin
2022-11-19 14:26 Arthur Zamarin
2022-11-23 11:26 Michał Górny
2022-11-23 13:56 Jakov Smolić
2022-12-03 16:06 Arthur Zamarin
2022-12-03 17:01 Michał Górny
2022-12-25 16:42 Sam James
2022-12-25 17:50 Arthur Zamarin
2022-12-25 18:05 Arthur Zamarin
2022-12-25 18:05 Arthur Zamarin
2022-12-25 19:56 Arthur Zamarin
2023-01-19 17:43 Michał Górny
2023-04-01 16:07 Arthur Zamarin
2023-04-04 12:15 Michał Górny
2023-04-04 13:31 Michał Górny
2023-04-04 13:31 Michał Górny
2023-04-25 15:00 Michał Górny
2023-05-11 5:15 Michał Górny
2023-05-11 5:15 Michał Górny
2023-06-08 22:35 Sam James
2023-06-21 16:08 Michał Górny
2023-07-01 10:47 Michał Górny
2023-07-28 6:03 Michał Górny
2023-08-03 18:16 Sam James
2023-08-28 18:15 Michał Górny
2023-08-29 4:58 Sam James
2023-08-29 4:59 Sam James
2023-08-31 5:04 Michał Górny
2023-08-31 5:10 Michał Górny
2023-09-01 4:38 Sam James
2023-09-01 4:38 Sam James
2023-09-01 4:38 Sam James
2023-09-01 4:38 Sam James
2023-09-13 5:52 Sam James
2023-10-03 1:51 Sam James
2023-10-03 1:59 Sam James
2023-10-03 1:59 Sam James
2023-10-06 14:52 Sam James
2023-10-06 14:52 Sam James
2023-10-06 15:05 Sam James
2023-10-18 15:51 Sam James
2023-10-24 21:11 Michał Górny
2023-10-27 12:56 Michał Górny
2023-10-28 19:49 Sam James
2023-10-29 3:40 Sam James
2023-10-29 3:40 Sam James
2023-10-29 3:40 Sam James
2023-10-29 3:40 Sam James
2023-10-29 3:40 Sam James
2023-10-29 3:40 Sam James
2023-10-29 3:40 Sam James
2023-10-29 3:40 Sam James
2023-10-29 3:40 Sam James
2023-11-11 8:35 Michał Górny
2023-11-19 20:07 Arthur Zamarin
2023-11-25 9:37 Arthur Zamarin
2023-11-25 10:14 Arthur Zamarin
2023-11-25 11:02 Sam James
2023-11-25 11:02 Sam James
2023-11-25 22:47 Sam James
2023-12-08 19:39 Arthur Zamarin
2023-12-09 16:39 Arthur Zamarin
2023-12-09 17:02 Michał Górny
2023-12-10 16:12 Michał Górny
2023-12-25 7:34 Sam James
2023-12-27 21:03 Sam James
2024-01-04 11:29 WANG Xuerui
2024-01-20 9:54 Michał Górny
2024-01-20 15:17 Michał Górny
2024-01-20 15:17 Michał Górny
2024-01-21 7:58 Viorel Munteanu
2024-01-22 2:34 Michał Górny
2024-01-23 17:30 Arthur Zamarin
2024-01-23 22:59 Jakov Smolić
2024-02-20 9:43 Michał Górny
2024-02-20 9:43 Michał Górny
2024-02-24 8:49 Michał Górny
2024-02-28 19:49 Arthur Zamarin
2024-03-13 0:54 Sam James
2024-03-13 0:54 Sam James
2024-03-14 3:43 Sam James
2024-03-14 3:44 Sam James
2024-03-19 7:20 Michał Górny
2024-03-23 17:03 Michał Górny
2024-03-23 17:39 Arthur Zamarin
2024-03-24 5:47 Sam James
2024-03-24 5:47 Sam James
2024-03-24 5:47 Sam James
2024-04-11 4:25 Michał Górny
2024-04-13 16:08 Michał Górny
2024-04-14 2:43 Michał Górny
2024-04-27 21:46 Sam James
2024-04-27 21:46 Sam James
2024-05-19 19:08 Michał Górny
2024-05-22 8:03 Michał Górny
2024-06-07 17:29 Michał Górny
2024-06-07 18:16 Michał Górny
2024-06-07 23:40 Ionen Wolkens
2024-06-08 5:06 Michał Górny
2024-06-20 15:20 Michał Górny
2024-08-05 1:56 Sam James
2024-09-21 7:41 Michał Górny
2024-10-24 5:40 Arthur Zamarin
2024-11-13 1:57 Sam James
2024-11-13 1:57 Sam James
2025-01-04 9:30 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1444660251.da686750672b4adb3312a87a655a89d1129b9cc4.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox